Runtime

## org.eclipse.gmf.runtime.common.ui.services.action.global
Class GlobalActionHandlerOperation

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.action.global.GlobalActionHandlerOperation

All Implemented Interfaces:
  IOperation

Direct Known Subclasses:
  GetGlobalActionHandlerOperation

public abstract class GlobalActionHandlerOperation
extends java.lang.Object
implements IOperation

The abstract parent of all global action handler operations. This class maintains a reference to the `IGlobalActionHandlerContext`.

Constructor Summary
`GlobalActionHandlerOperation(IGlobalActionHandlerContext context)` Create a GlobalActionHandlerOperation.

Method Summary
`IGlobalActionHandlerContext` `getContext()` Returns the context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IOperation
`execute`

Constructor Detail

### GlobalActionHandlerOperation

    public GlobalActionHandlerOperation(IGlobalActionHandlerContext context)

  Create a GlobalActionHandlerOperation.

Parameters:
  `context` - attribute for the `IGlobalActionHandlerContext`

Method Detail

### getContext

    public final IGlobalActionHandlerContext getContext()

  Returns the context.

  Returns:
    The `context` instance variable

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.